<?php
/*
* 检测百度是否收录网页 返回1则表示收录 返回0表示没有收录
* @ param string $url传入的url
*  powed by cnzzla.com
*/
function checkBaidu($url){
    $url='http://www.baidu.com/s?wd='.$url;
      
    $curl=curl_init();
    curl_setopt($curl,CURLOPT_URL,$url);
    curl_setopt($curl,CURLOPT_RETURNTRANSFER,1);
    $rs=curl_exec($curl);
    curl_close($curl);
      
    $arr=parse_url($url);
      
    if(strpos($arr['query'],'http://')){
        $arr['query']=str_replace('http://','',str_replace('wd=','',$arr['query']));
    }else{
        $arr['query']=str_replace('wd=','',$arr['query']);
    }
      
    if(strpos($arr['query'],'?')){
        $str=strstr($arr['query'],'?');
        $arr['query']=str_replace($str,'',$arr['query']);
    }
      
    if(strpos($arr['query'],'/')){
        $narr=explode('/',$arr['query']);
        $arr['query']=$narr[0];
    }
      
    if(strpos($rs,'<b>'.$arr['query'].'</b>')){
        return 1;
    }else{
        return 0;
    }   
}

if(isset($_POST['url'])&&$_POST['url']!=''){
	if(checkBaidu($_POST['url'])){
		echo "已收录";
	}else
		echo "未收录";
}

?>